FTP-SSH
All operations require authentication.
List independent usersProduction
List independent users. Returns the logins of the independent multidomain users of the hosting. Filter them by login.
Path parameters
The internal name of your hosting
Query parameters
Filter the value of login property (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ indy \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an independent userProduction
Get an independent user. Returns the home directory, state and attached domains of the independent multidomain user.
Path parameters
Login of the multidomain independent user
The internal name of your hosting
Response
AttachedDomain IDs linked to this multidomain
Home directory
Login of the multidomain independent user
User status
offrwExample uses login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ indy/ {login} \
-H "authorization: Bearer $OVH_TOKEN"{ "attachedDomains": [ "string" ], "home": "string", "login": "string", "state": "off"}
Get the SSH public keyProduction
Returns the SSH public key of the hosting.
Path parameters
Service name
Response
Public key
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ key/ ssh \
-H "authorization: Bearer $OVH_TOKEN"{ "publicKey": "string"}
List usersProduction
List users. Returns the logins of the FTP and SSH users of the hosting. Filter them by home or login.
Path parameters
The internal name of your hosting
Query parameters
Filter the value of home property (like)
Filter the value of login property (like)
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ user \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a userProduction
Get a user. Returns the home directory, SSH state, state and status of the user, and whether it is the primary account.
Path parameters
Login used to connect on FTP and SSH
The internal name of your hosting
Response
Home directory
Is this user primary
Login used to connect on FTP and SSH
Credentials to manage your webhosting
User ssh status
activenonesftponlyUser state
offrwThe user status
createdcreatingdeletingupdatingThe task ID working on this user
Example uses login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ user/ {login} \
-H "authorization: Bearer $OVH_TOKEN"{ "home": "string", "isPrimaryAccount": true, "login": "string", "serviceManagementCredentials": { "ftp": { "port": 0, "url": "string", "user": "string" }, "ssh": { "port": 0, "url": "string", "user": "string" } }, "sshState": "active", "state": "off", "status": "created", "taskId": 0}
Generate an SSH key pairProduction
Generates an SSH key pair for the hosting and returns its public key.
Path parameters
Service name
Response
Public key
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ key/ ssh \
-H "authorization: Bearer $OVH_TOKEN"{ "publicKey": "string"}
Create a userProduction
Create a user. Creates an FTP and SSH user with a login, a password and a home directory, and returns the task. sshState is none by default.
Path parameters
The internal name of your hosting
Request body (required)
Home directory
Login use for your new user
Password
Ssh state for this user. Default: none
activenonesftponlyResponse
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ user \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Change a user passwordDeprecated
Deprecated since Aug 31, 2026, will be removed on Oct 31, 2026 — use /hosting/web/{serviceName}/user/{login} instead.
Change a user password. Changes the password of the user and returns the task. The password is used for both FTP and SSH access.
Path parameters
Login used to connect on FTP and SSH
The internal name of your hosting
Request body (required)
The user's new password
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ user/ {login}/ changePassword \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Delete a userProduction
Delete a user. Permanently deletes the user and returns the task. The files in its home folder are kept.
Path parameters
Login used to connect on FTP and SSH
The internal name of your hosting
Response
Completion date
Function name
the id of the task
last update
Task related object ID
Task object type
AbuseAttachedDomainBlockedIpCdnCronDatabaseDumpEnvVarFilerzHostedsslHostingIndyInfraMinorModuleOtherOvhConfigOvhOrgOwnLogsRuntimeScanSqlpersoUserUserLogsWebWebdTask Creation date
Task status
cancelleddoingdoneerrorinittodoExample uses login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ user/ {login} \
-H "authorization: Bearer $OVH_TOKEN"{ "doneDate": "2024-01-01T12:00:00Z", "function": "string", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "objectId": "string", "objectType": "Abuse", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled"}
Update a userProduction
Update a user. Updates the home directory, SSH state or state of the user. Set state to off to disable the FTP and SSH access of the user.
Path parameters
Login used to connect on FTP and SSH
The internal name of your hosting
Request body (required)
Home directory
Is this user primary
Login used to connect on FTP and SSH
Credentials to manage your webhosting
User ssh status
activenonesftponlyUser state
offrwThe user status
createdcreatingdeletingupdatingThe task ID working on this user
Response
Example uses login = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ web/ {serviceName}/ user/ {login} \
-H "authorization: Bearer $OVH_TOKEN"